de.dhbwstuttgart.syntaxtree

## Class GenericDeclarationList

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GenericDeclarationList

- All Implemented Interfaces:
    IItemWithOffset, java.lang.Iterable<GenericTypeVar>

      public class GenericDeclarationList
      extends SyntaxTreeNode
      implements java.lang.Iterable<GenericTypeVar>

  Stellt eine Deklarations-Liste von Generischen Variablen dar. Kann vor Methoden und Klassen auftauchen. (<....>)
  Author:
    janulrich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Menge<GenericTypeVar>` | `gtvs`
    `private int` | `offsetOfLastElement`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericDeclarationList(Menge<GenericTypeVar> values, int endOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(GenericTypeVar t)`
    `private void` | `addAll(Menge<GenericTypeVar> values)`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `int` | `getEndOffset()`
    `Menge<GenericTypeVar>` | `getMenge()`
    `int` | `getOffset()`
    `int` | `getVariableLength()`
    `java.util.Iterator<GenericTypeVar>` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### offsetOfLastElement

          private int offsetOfLastElement

    - #### gtvs

          private Menge<GenericTypeVar> gtvs

  - ### Constructor Detail

    - #### GenericDeclarationList

          public GenericDeclarationList(Menge<GenericTypeVar> values,
                                        int endOffset)

  - ### Method Detail

    - #### addAll

          private void addAll(Menge<GenericTypeVar> values)

    - #### getEndOffset

          public int getEndOffset()

    - #### getOffset

          public int getOffset()

      Specified by:
        `getOffset` in interface `IItemWithOffset`

    - #### getVariableLength

          public int getVariableLength()

      Specified by:
        `getVariableLength` in interface `IItemWithOffset`

    - #### iterator

          public java.util.Iterator<GenericTypeVar> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<GenericTypeVar>`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`

    - #### size

          public int size()

    - #### getMenge

          public Menge<GenericTypeVar> getMenge()

    - #### add

          public void add(GenericTypeVar t)